"""Definition of SensorStateSchema dataframe schema."""

from typing import Optional
import pandera.pandas as pa
import pandas as pd


class SensorStateSchema(pa.DataFrameModel):
    """Schema for sensor state dataframe."""

    time: pd.DatetimeTZDtype = pa.Field(dtype_kwargs={"tz": "UTC"})
    state: Optional[str]
